Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Socket_UDP Class Reference

Base functionality for a combination UDP Reader and Writer. More...

Inheritance diagram for Socket_UDP:

List of all members.

## Public Member Functions
bool | InitNoAddress ()
| This will set a udp up for targeted sends.
bool | InitToAddress (Socket_Address const address)
| Connects the Socket to a Specified address.
bool | Send (string data)
| Send data to connected address.
bool | SendTo (string data, Socket_Address const address)
| Send data to specified address.
bool | SetToBroadCast ()
| Ask the OS to let us receive BROADCASt packets on this port.
| SocketUDP ()
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Base functionality for a combination UDP Reader and Writer.

This duplicates code from Socket_UDP_Outgoing, to avoid the problems of multiple inheritance.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Socket_UDP_Incoming.

bool InitNoAddress | ( |  | ) |

This will set a udp up for targeted sends.

Return type : inline bool Argument : void

Reimplemented from Socket_UDP_Incoming.

bool InitToAddress | ( | Socket_Address const | address | ) |

Connects the Socket to a Specified address.

Return type : inline bool Argument : NetAddress & address

bool Send | ( | string | data | ) |

Send data to connected address.

Return type : inline bool Argument : const string &data

bool SendTo | ( | string | data,
|  | Socket_Address const | address
| ) |  |

Send data to specified address.

Return type : inline bool Argument : const string &data Argument : NetAddress & address

bool SetToBroadCast | ( |  | ) |

Ask the OS to let us receive BROADCASt packets on this port.

Return type : bool Argument : void

Reimplemented from Socket_UDP_Incoming.

SocketUDP | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties